%define upstream_name    SOAP-Lite
%define upstream_version 1.19

%define __noautoreq 'perl\\(SOAP::Transport::TCP\\)'
%define __noautoprov 'perl\\(LWP::Protocol\\)'

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:    Client and server side SOAP implementation

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(XML::Parser::Lite)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::SessionData) >= 1.30.0
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildRequires: perl(constant)
BuildRequires: perl-devel
BuildArch:  noarch

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%__perl -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
perl Makefile.PL INSTALLDIRS=vendor --noprompt
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes HACKING META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/SOAP

%changelog

* Mon Dec 28 2015 dsilakov <denis.silakov@rosalab.ru> 1.190.0-1
- (fde6092) Merge pull request #3 from import/perl-SOAP-Lite:auto_update
- (fde6092) Updated to 1.19 (by updates_builder)


